Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LibraryService

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryService

public final class LibraryService
extends java.lang.Object

The `LibraryService` class is used for connecting to the iFS server and launching sessions via the LibrarySession object.

This class has a public constructor, and one primary method: connect(). The connect() method either returns a LibrarySession, or throws an exception indicating a connect failure.

There are two overloaded connect methods. One takes a simple set of clear text credentials and the iFS service name, and the other takes explicit Credential and ConnectOptions arguments. The ConnectOptions can contain options such as the Locale.

See Also:
  `LibrarySession`

Constructor Summary
`LibraryService()` Constructs a LibraryService.

Method Summary
`LibrarySession` | `connect(Credential credential, ConnectOptions options)` Connects to iFS, establishing a new LibrarySession.
`LibrarySession` | `connect(java.lang.String user, java.lang.String password, java.lang.String server)` Connects to iFS, establishing a new LibrarySession.
`TokenCredential` | `getTokenCredential(java.lang.String token, java.util.Hashtable parameters, ConnectOptions options)` Gets the previously-created TokenCredential for the specified token.
`static long` | `getVersionNumber()` Returns software version number, as a long value.
`static java.lang.String` | `getVersionString()` Returns software version String.

Constructor Detail

### LibraryService

    public LibraryService()
                   throws IfsException

  Constructs a LibraryService.
  Throws:
    `IfsException` - if the operation fails.

Method Detail

### getTokenCredential

    public TokenCredential getTokenCredential(java.lang.String token,
                                              java.util.Hashtable parameters,
                                              ConnectOptions options)
                                       throws IfsException

  Gets the previously-created TokenCredential for the specified token.
  Parameters:
    `token` - the token
    `parameters` - the required parameters. For this method to return a TokenCredential, this hashtable must contain a matching entry for every required parameter that was specified in creating the TokenCredential.
    `options` - connect options
  Returns:
    the TokenCredential
  Throws:
    `IfsException` - (IFS-10192) if the operation fails

### connect

    public LibrarySession connect(java.lang.String user,
                                  java.lang.String password,
                                  java.lang.String server)
                           throws IfsException

  Connects to iFS, establishing a new LibrarySession. This variant takes a cleartext username and password, and the name of the service. From this, a ClearTextCredential and ConnectOptions are constructed passed to the connect(Credential, ConnectOptions) variant.
  Parameters:
    `username` - user name (e.g. "scott")
    `password` - password (e.g. "tiger")
    `server` - iFS service names (e.g. "IfsDefault")
  Returns:
    the new LibrarySession
  Throws:
    `IfsException` - if operation fails.

### connect

    public LibrarySession connect(Credential credential,
                                  ConnectOptions options)
                           throws IfsException

  Connects to iFS, establishing a new LibrarySession. This is the most flexible variant of connect() as it accepts any type of Credential and an explicit set of connection options.
  Parameters:
    `credential` - the user's credentials
    `options` - connect options
  Returns:
    the new LibrarySession
  Throws:
    `IfsException` - if the operation fails

### getVersionString

    public static final java.lang.String getVersionString()
                                                   throws IfsException

  Returns software version String. For example, version 1.0.8.3.1 would be returned as the string "1.0.8.3.1".
  Returns:
    the software version String.
  Throws:
    `IfsException` - if operation fails

### getVersionNumber

    public static final long getVersionNumber()
                                       throws IfsException

  Returns software version number, as a long value. Each element in the version is represented as 2 digits in the long value. For example, version 1.0.8.3.1 would be returned as the long value 0100080301L.
  Returns:
    the software version number.
  Throws:
    `IfsException` - if operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD